com.thinkaurelius.titan.graphdb.types.system

## Class ImplicitKey

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.types.system.EmptyVertex
  - - com.thinkaurelius.titan.graphdb.types.system.EmptyRelationType
    - - com.thinkaurelius.titan.graphdb.types.system.ImplicitKey

- All Implemented Interfaces:
    Idfiable, Namifiable, PropertyKey, RelationType, TitanSchemaElement, TitanSchemaType, TitanElement, TitanVertex, InternalElement, InternalRelationType, InternalVertex, SystemRelationType, Removable, com.tinkerpop.blueprints.Element, com.tinkerpop.blueprints.Vertex

      public class ImplicitKey
      extends EmptyRelationType
      implements SystemRelationType, PropertyKey

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ImplicitKey` | `ADJACENT_ID`
    `static ImplicitKey` | `ID`
    `static ImplicitKey` | `LABEL`
    `static Map<EntryMetaData,ImplicitKey>` | `MetaData2ImplicitKey`
    `static ImplicitKey` | `TIMESTAMP`
    `static ImplicitKey` | `TITANID`
    `static ImplicitKey` | `TTL`
    `static ImplicitKey` | `VISIBILITY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<O> O` | `computeProperty(InternalElement e)`
    `Cardinality` | `getCardinality()` The `Cardinality` of this property key.
    `ConsistencyModifier` | `getConsistencyModifier()`
    `Class<?>` | `getDataType()` Returns the data type for this property key.
    `long` | `getLongId()` Unique identifier for this entity.
    `Multiplicity` | `getMultiplicity()`
    `String` | `getName()` Returns the unique name of this entity.
    `boolean` | `hasId()` Checks whether this entity has a unique identifier.
    `boolean` | `isEdgeLabel()` Checks if this relation type is an edge label
    `boolean` | `isHiddenType()`
    `boolean` | `isPropertyKey()` Checks if this relation type is a property key
    `boolean` | `isUnidirected(com.tinkerpop.blueprints.Direction dir)`
    `void` | `setId(long id)`
    `String` | `toString()`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.system.EmptyRelationType

      `getBaseType, getKeyIndexes, getRelationIndexes, getSignature, getSortKey, getSortOrder, getStatus, getTTL, isHidden`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.system.EmptyVertex

      `addEdge, addEdge, addEdge, addProperty, addProperty, addRelation, getAddedRelations, getEdgeCount, getEdges, getEdges, getId, getLabel, getLifeCycle, getProperties, getProperties, getProperties, getProperty, getProperty, getPropertyCount, getPropertyKeys, getRelations, getTitanEdges, getVertexLabel, getVertices, hasAddedRelations, hasLoadedRelations, hasRemovedRelations, isConnected, isLoaded, isModified, isNew, isRemoved, it, loadRelations, query, remove, removeProperty, removeProperty, removeRelation, setProperty, setProperty, tx`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalRelationType

      `getBaseType, getKeyIndexes, getRelationIndexes, getSignature, getSortKey, getSortOrder, getStatus, getTTL`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalVertex

      `addRelation, getAddedRelations, hasAddedRelations, hasLoadedRelations, hasRemovedRelations, it, loadRelations, query, removeRelation`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `getLifeCycle, isHidden, tx`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getProperty, getProperty, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

- - ### Field Detail

    - #### ID

          public static final ImplicitKey ID

    - #### TITANID

          public static final ImplicitKey TITANID

    - #### LABEL

          public static final ImplicitKey LABEL

    - #### ADJACENT_ID

          public static final ImplicitKey ADJACENT_ID

    - #### TIMESTAMP

          public static final ImplicitKey TIMESTAMP

    - #### VISIBILITY

          public static final ImplicitKey VISIBILITY

    - #### TTL

          public static final ImplicitKey TTL

    - #### MetaData2ImplicitKey

          public static final Map<EntryMetaData,ImplicitKey> MetaData2ImplicitKey

  - ### Method Detail

    - #### computeProperty

          public <O> O computeProperty(InternalElement e)

    - #### getDataType

          public Class<?> getDataType()

      Description copied from interface: `PropertyKey`
      Returns the data type for this property key. The values of all properties of this type must be an instance of this data type.
      Specified by:
        `getDataType` in interface `PropertyKey`
      Returns:
        Data type for this property key.

    - #### getCardinality

          public Cardinality getCardinality()

      Description copied from interface: `PropertyKey`
      The `Cardinality` of this property key.
      Specified by:
        `getCardinality` in interface `PropertyKey`
      Returns:

    - #### getName

          public String getName()

      Description copied from interface: `Namifiable`
      Returns the unique name of this entity.
      Specified by:
        `getName` in interface `Namifiable`
      Returns:
        Name of this entity.

    - #### isPropertyKey

          public boolean isPropertyKey()

      Description copied from interface: `RelationType`
      Checks if this relation type is a property key
      Specified by:
        `isPropertyKey` in interface `RelationType`
      Returns:
        true, if this relation type is a property key, else false.
      See Also:
        `PropertyKey`

    - #### isEdgeLabel

          public boolean isEdgeLabel()

      Description copied from interface: `RelationType`
      Checks if this relation type is an edge label
      Specified by:
        `isEdgeLabel` in interface `RelationType`
      Returns:
        true, if this relation type is a edge label, else false.
      See Also:
        `EdgeLabel`

    - #### isHiddenType

          public boolean isHiddenType()

      Specified by:
        `isHiddenType` in interface `InternalRelationType`

    - #### getMultiplicity

          public Multiplicity getMultiplicity()

      Specified by:
        `getMultiplicity` in interface `InternalRelationType`

    - #### getConsistencyModifier

          public ConsistencyModifier getConsistencyModifier()

      Specified by:
        `getConsistencyModifier` in interface `InternalRelationType`

    - #### isUnidirected

          public boolean isUnidirected(com.tinkerpop.blueprints.Direction dir)

      Specified by:
        `isUnidirected` in interface `InternalRelationType`

    - #### getLongId

          public long getLongId()

      Description copied from interface: `TitanElement`
      Unique identifier for this entity. This id can be temporarily assigned and might change. Use `TitanElement.getId()` for the permanent id.
      Specified by:
        `getLongId` in interface `Idfiable`
      Specified by:
        `getLongId` in interface `TitanElement`
      Overrides:
        `getLongId` in class `EmptyVertex`
      Returns:
        Unique long id

    - #### hasId

          public boolean hasId()

      Description copied from interface: `TitanElement`
      Checks whether this entity has a unique identifier.

      Note that some entities may never be assigned an identifier and others will only be assigned an identifier at the end of a transaction.
      Specified by:
        `hasId` in interface `TitanElement`
      Overrides:
        `hasId` in class `EmptyVertex`
      Returns:
        true if this entity has been assigned a unique id, else false
      See Also:
        `TitanElement.getLongId()`

    - #### setId

          public void setId(long id)

      Specified by:
        `setId` in interface `InternalElement`
      Overrides:
        `setId` in class `EmptyVertex`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2012–2014. All rights reserved.